﻿using ProjectPatientAccounting.Entities.Enums;
namespace ProjectPatientAccounting.Entities;

public class Doctor
{
    public int Id { get; private set; }
    public string Name { get; private set; } = string.Empty;
    public string Surname { get; private set; } = string.Empty;
    public Area DoctorArea { get; private set; }

    public static Doctor CreateEntity(int id, string name, string surname, Area doctorArea)
    {
        return new Doctor
        {
            Id = id,
            Name = name ?? string.Empty,
            Surname = surname ?? string.Empty,
            DoctorArea = doctorArea
        };
    }
}
